<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
    <key>Label</key>
    <string>grafana-mongodb-proxy</string>

    <key>EnvironmentVariables</key>
    <dict>
        <key>PATH</key>
        <string>/usr/local/bin/:$PATH</string>
    </dict>

    <key>WorkingDirectory</key>
    <string>/usr/local/var/lib/grafana/plugins/grafana-mongodb/dist/server</string>

       <key>ProgramArguments</key>
        <array>
            <string>/usr/local/lib/npm-packages/bin/forever</string>
            <string>-l</string>
            <string>/usr/local/var/lib/grafana/plugins/grafana-mongodb/dist/server/mongodb-proxy-forever.log</string>
            <string>-o</string>
            <string>/usr/local/var/lib/grafana/plugins/grafana-mongodb/dist/server/mongodb-proxy.log</string>
            <string>-e</string>
            <string>/usr/local/var/lib/grafana/plugins/grafana-mongodb/dist/server/mongodb-proxy-err.log</string>
            <string>--workingDir</string>
            <string>/usr/local/var/lib/grafana/plugins/grafana-mongodb/dist/server</string>
            <string>/usr/local/var/lib/grafana/plugins/grafana-mongodb/dist/server/mongodb-proxy.js</string>
        </array>
 
    <key>RunAtLoad</key>
    <true/>

    <key>KeepAlive</key>
    <false/>

</dict>
</plist>